%define	upstream_name    DateTime-Locale
%define upstream_version 1.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      2

Summary:    Localization support for DateTime
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Params::ValidationCompiler) >= 0.130.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Storable)
BuildRequires: perl(Test2::Plugin::NoWarnings)
BuildRequires: perl(Test2::Plugin::UTF8)
BuildRequires: perl(Test2::Require::Module)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::File::ShareDir::Dist)
BuildRequires: perl(Test::More) >= 1.302.15
BuildRequires: perl(base)
BuildRequires: perl(namespace::autoclean) >= 0.190.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The DateTime::Locale perl module is primarily a factory for the various locale
subclasses used by DateTime. It also provides some functions for getting
information on available locales.

If you want to know what methods are available for locale objects, then please
read the DateTime::Locale::Base documentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor destdir=%{buildroot}
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml eg
%{perl_vendorlib}/auto/share/dist/DateTime-Locale
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Sun Apr 28 2024 tv <tv> 2:1.420.0-1.mga10
+ Revision: 2061454
- update to 1.42

* Sat Apr 13 2024 tv <tv> 2:1.410.0-1.mga10
+ Revision: 2056897
- update to 1.41

* Mon Nov 06 2023 tv <tv> 2:1.400.0-1.mga10
+ Revision: 2004691
- update to 1.40

* Tue Aug 29 2023 tv <tv> 2:1.390.0-1.mga10
+ Revision: 1980965
- update to 1.39

* Thu Oct 27 2022 tv <tv> 2:1.370.0-1.mga9
+ Revision: 1899629
- update to 1.37

* Sat Aug 27 2022 tv <tv> 2:1.360.0-1.mga9
+ Revision: 1881114
- update to 1.36

* Mon Apr 25 2022 tv <tv> 2:1.350.0-1.mga9
+ Revision: 1853124
- update to 1.35

* Tue Apr 12 2022 tv <tv> 2:1.340.0-1.mga9
+ Revision: 1848974
- update to 1.34

* Mon Mar 21 2022 umeabot <umeabot> 2:1.330.0-2.mga9
+ Revision: 1815122
- Mageia 9 Mass Rebuild

* Tue Nov 02 2021 tv <tv> 2:1.330.0-1.mga9
+ Revision: 1753676
- update to 1.33

* Tue May 04 2021 tv <tv> 2:1.320.0-1.mga9
+ Revision: 1721211
- update to 1.32

* Wed Dec 23 2020 tv <tv> 2:1.310.0-1.mga8
+ Revision: 1663059
- update to 1.31

* Wed Dec 16 2020 tv <tv> 2:1.300.0-1.mga8
+ Revision: 1657962
- update to 1.30

* Sat Aug 29 2020 tv <tv> 2:1.280.0-1.mga8
+ Revision: 1619533
- update to 1.28

* Sun Jul 05 2020 tv <tv> 2:1.260.0-1.mga8
+ Revision: 1602081
- update to 1.26

* Sun Feb 16 2020 umeabot <umeabot> 2:1.250.0-2.mga8
+ Revision: 1535089
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 2:1.250.0-1.mga8
+ Revision: 1451506
- update to 1.25

* Fri Mar 29 2019 tv <tv> 2:1.240.0-1.mga7
+ Revision: 1381130
- update to 1.24

* Fri Oct 19 2018 tv <tv> 2:1.230.0-1.mga7
+ Revision: 1322420
- update to 1.23

* Thu Sep 20 2018 umeabot <umeabot> 2:1.220.0-2.mga7
+ Revision: 1282686
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 tv <tv> 2:1.220.0-1.mga7
+ Revision: 1235672
- update to 1.22

* Mon May 07 2018 tv <tv> 2:1.200.0-1.mga7
+ Revision: 1226906
- update to 1.20

* Sat Apr 21 2018 tv <tv> 2:1.190.0-1.mga7
+ Revision: 1220780
- update to 1.19

* Thu Apr 05 2018 tv <tv> 2:1.180.0-1.mga7
+ Revision: 1215349
- update to 1.18

* Mon Nov 06 2017 tv <tv> 2:1.170.0-1.mga7
+ Revision: 1176186
- update to 1.17

* Fri Jul 28 2017 shlomif <shlomif> 2:1.160.0-1.mga7
+ Revision: 1131739
- add missing BR
- add missing BR
- New version 1.16

* Sat Jun 18 2016 pterjan <pterjan> 2:1.30.0-2.mga7
+ Revision: 1025298
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2:1.30.0-1.mga6
+ Revision: 1001801
- update to 1.03

* Sat Jan 16 2016 shlomif <shlomif> 2:1.20.0-1.mga6
+ Revision: 923752
- update to 1.02

* Mon Sep 28 2015 sander85 <sander85> 2:0.920.0-1.mga6
+ Revision: 884511
- update to 0.92

* Sat Jul 04 2015 sander85 <sander85> 2:0.460.0-1.mga6
+ Revision: 850474
- update to 0.46

* Wed Oct 15 2014 umeabot <umeabot> 2:0.450.0-6.mga5
+ Revision: 746073
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2:0.450.0-5.mga5
+ Revision: 735512
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2:0.450.0-4.mga5
+ Revision: 684288
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2:0.450.0-3.mga4
+ Revision: 510748
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2:0.450.0-2.mga3
+ Revision: 365665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2:0.450.0-1.mga1
+ Revision: 31893
- mageia rebuild
- imported package perl-DateTime-Locale

